import { HttpRouteIntegrationBindOptions, HttpRouteIntegrationConfig, HttpMethod, IHttpRouteIntegration } from '@aws-cdk/aws-apigatewayv2';
/**
 * (experimental) Properties to initialize a new `HttpProxyIntegration`.
 *
 * @experimental
 */
export interface HttpProxyIntegrationProps {
    /**
     * (experimental) The full-qualified HTTP URL for the HTTP integration.
     *
     * @experimental
     */
    readonly url: string;
    /**
     * (experimental) The HTTP method that must be used to invoke the underlying HTTP proxy.
     *
     * @default HttpMethod.ANY
     * @experimental
     */
    readonly method?: HttpMethod;
}
/**
 * (experimental) The HTTP Proxy integration resource for HTTP API.
 *
 * @experimental
 */
export declare class HttpProxyIntegration implements IHttpRouteIntegration {
    private readonly props;
    /**
     * @experimental
     */
    constructor(props: HttpProxyIntegrationProps);
    /**
     * (experimental) (experimental) Bind this integration to the route.
     *
     * @experimental
     */
    bind(_: HttpRouteIntegrationBindOptions): HttpRouteIntegrationConfig;
}
